Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
Superlong

Hỏi Về Lisp Tạo Boundary Từ Các Polyline Không Giao Nhau

Các bài được khuyến nghị

Superlong    9

   ví dụ tôi có 2 pline nằm rời rạc như thế nay tôi muốn tạo boundary bằng cách chọn 2 pline đó thì boundary sẽ được tạo là bao quanh các đỉnh của 2 pline này , em thử dùng 2 hàm (acet-geom-vertex-list (ssget)) để lấy tọa độ xog dùng hàm (acet-pline-make) nhưng lại báo lỗi error: bad argument type: lentityp nil

các bác có thể giúp em không 

(defun c:yeah ( / dt dt1 dt2 rec1 rec2 ss)

(setq dt (ssget '((0 . "LWPOLYLINE"))))

(setq dt1 (ssname dt 1)

dt2 (ssname dt 2)

rec1 (acet-geom-vertex-list dt1)

rec2 (acet-geom-vertex-list dt2))

(setq ss (append rec1 rec2))

(acet-pline-make ss))

 

150337_capture_3.png

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Superlong    9

sau khi sửa lại thì nó báo  error: bad argument type: listp 6.7799

(defun c:yeah ( / dt dt1 dt2 rec1 rec2 ss)

(setq dt (ssget '((0 . "LWPOLYLINE"))))

(setq dt1 (ssname dt 0)

dt2 (ssname dt 1)

rec1 (acet-geom-vertex-list dt1)

rec2 (acet-geom-vertex-list dt2))

(setq ss (append rec1 rec2))

(acet-pline-make ss))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.680

1). ss sửa lại là (list ss)

2). Phải xắp xếp điểm theo 1 chiều quay, nếu không thì nó vẽ không đúng ý đồ.

3). Bổ sung thêm 1 điểm đầu hoặc cuối nữa để khép kín pline.

Bạn tự nghiên cứu nhé!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Superlong    9

à em hiểu rồi cám ơn bác rất nhìu

(defun c:yeah ( / dt dt1 dt2 rec1 rec2 pt ss)

(setq dt (ssget '((0 . "LWPOLYLINE"))))

(setq dt1 (ssname dt 0)

dt2 (ssname dt 1)

rec1 (acet-geom-vertex-list dt1)



rec2 (acet-geom-vertex-list dt2)
pt (nth 0 rec1)
)

(setq ss (append rec1 (reverse rec2) (list pt)))

(acet-pline-make (list ss)))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×